# There's currently no ppc64 mozilla, hence there's no evolution, and hence no evolution-connector
ExcludeArch: ppc64

%define evolution_version 2.0.1
%define libsoup_version 2.2.0-2

%define evo_major 2.0
%define plibdir %(pkg-config evolution-shell-%{evo_major} --variable=privlibdir 2>/dev/null)

Name: evolution-connector
Version: 2.0.2
Release: 10.rhel4.1
License: GPL
Group: Applications/Productivity
URL:  http://ftp.gnome.org/pub/gnome/sources/ximian-connector/2.0/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ximian-connector-%{version}.tar.bz2

# Patches we apply to the autotool source files:
Patch100: ximian-connector-2.0.2-64bit-fix-acinclude.m4.patch 
Patch101: ximian-connector-2.0.2-install-debug-utilities.patch

# Patch generated against a pristine source tree after applying the
# above patches and then rerunning the autotools.  This patch will contain
# all of the above patches, together with patches to the generated files
Patch200: ximian-connector-2.0.2-generated-autotool.patch

# Other patches:
Patch300: fix-135531-backend-memory-leak.patch
Patch301: evolution-connector-2.0.2-domain-fix-141543.patch

# Patch for bug #161133
Patch302: ximian-connector-2.0.4-fix-sync-callback.patch

# Patch for bug #166627
Patch303: ximian-connector-2.0.2-ntlm-auth-64bit-fix.patch

# Patch for bug 175640
Patch304: ximian-connector-2.0.2-64-bit-stub-fixes.patch

BuildRequires: evolution >= %{evolution_version}
BuildRequires: evolution-devel >= %{evolution_version}
BuildRequires: evolution-data-server-devel
BuildRequires: libsoup-devel >= %{libsoup_version}
# This is a virtual provide supplied by a version of the openldap-devel package
# which includes the necessary stuff in %%{_libdir}/evolution-openldap.
BuildRequires: openldap-evolution-devel
BuildRequires: gnutls
Requires: evolution >= %{evolution_version}
Requires: openldap
Requires: libsoup >= %{libsoup_version}
Requires: gnutls
Summary: Evolution plugin to interact with MS Exchange Server

%description
The connector enables added functionality to Evolution when used with a 
Microsoft Exchange Server.

%prep

%setup -q -n ximian-connector-%{version}
%patch200 -p1 -b .autotool-results
%patch300 -p0 -b .fix-135531-backend-memory-lea
%patch301 -p1 -b .fix-domain
%patch302 -p1 -b .fix-sync-callback
%patch303 -p2 -b .ntlm-auth-64bit-fix
%patch304 -p1 -b .64-bit-stub-fixes

%build
# Set LIBS so that configure will be able to link with static LDAP libraries,
# which depend on Cyrus SASL and OpenSSL.
if pkg-config openssl ; then
	LIBS="-lsasl2 `pkg-config --libs openssl`"
else
	LIBS="-lsasl2 -lssl -lcrypto"
fi
export LIBS
%configure --with-openldap=%{_libdir}/evolution-openldap --with-static-ldap
make LDFLAGS="-rpath %{plibdir}"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang ximian-connector-%{evo_major}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f ximian-connector-%{evo_major}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS docs/active-directory
%doc docs/autoconfig docs/debug docs/delegates docs/forms
%doc docs/forms-based-auth docs/freebusy docs/http
%doc docs/icalendar docs/mail docs/mapi-properties docs/non-ipm-subtree
%doc docs/ntlm docs/openldap-ntlm.diff docs/README docs/security
%doc docs/sending-mail docs/subscriptions docs/voting
%doc docs/ietf/*.txt
%{_bindir}/ximian-connector-setup-%{evo_major}
%{_libdir}/bonobo/servers/GNOME_Evolution_Exchange_Storage_%{evo_major}.server
%{_libdir}/evolution/%{evo_major}/camel-providers/libcamelexchange.so
%{_libdir}/evolution/%{evo_major}/camel-providers/libcamelexchange.a
%{_libdir}/evolution/%{evo_major}/camel-providers/libcamelexchange.la
%{_libdir}/evolution/%{evo_major}/camel-providers/libcamelexchange.urls
%{_libexecdir}/evolution/%{evo_major}/evolution-exchange-storage
%{_libexecdir}/evolution/%{evo_major}/ebrowse
%{_libexecdir}/evolution/%{evo_major}/davcat
%{_libexecdir}/evolution/%{evo_major}/actest
%{_libexecdir}/evolution/%{evo_major}/fbtest
%{_libexecdir}/evolution/%{evo_major}/gctest
%{_libexecdir}/evolution/%{evo_major}/ruletest
%{_libexecdir}/evolution/%{evo_major}/cptest
%{_datadir}/gtk-doc/html/ximian-connector
%{_datadir}/ximian-connector/%{evo_major}/etspec/*.etspec
%{_datadir}/ximian-connector/%{evo_major}/glade/*.glade
%{_datadir}/ximian-connector/%{evo_major}/images/*.png
%{_datadir}/ximian-connector/%{evo_major}/ui/ximian-connector.xml

%changelog
* Fri May  5 2006 Ray Strode <rstrode@redhat.com> - 2.0.2-10.rhel4.1
- 64bit fixes (bug 175640)

* Mon Jan  9 2006 David Malcolm <dmalcolm@redhat.com> - 2.0.2-10
- rebuild with gcc-3.4.5-2

* Thu Dec  1 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-9
- Added patch for 64-bit cleanliness in NTLM code
  (gnome bug 270323, rh bug #166627, patch 303)

* Wed Jun 29 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-8
- Added patch to use correct callback signature (#161133, patch 302)

* Wed Jun 29 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-7
- rebuilt

* Mon May 16 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-6
- Install the debug utilities from the "lib" subdirectory (#158006) and clean 
  up usage of the autotools:
  - Split the "64bit-fix" patch into its source and generated components; 
  replace with a new patch "ximian-connector-2.0.2-64bit-fix-acinclude.m4.patch"
  which contains only the source part.					   
  - Add patch "ximian-connector-2.0.2-install-debug-utilities.patch" to install 
  the debug utilities built in the "lib" subdirectory (#158006)
  - Rerun the autotools and add the results of applying the above two patches
  as "ximian-connector-2.0.2-generated-autotool.patch".  We ship all of the
  patches in the source package, but only the final one is applied when the 
  package is built.
  - Reorganised the patch numbering to better reflect the split between patches
  to the autotool source, the patch containing the generated results, and 
  patches to the C source code.

* Fri Feb 25 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-5
- apply patch to allow "domain\username"-style authorization (#141543)

* Fri Feb 25 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.2-4
- apply patch from upstream 2.0.4 to fix memory leak (#135531)

* Wed Dec  1 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.2-3
- re-enable s390/s390x architecture

* Tue Oct 12 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.2-1
- Update from 2.0.1 to 2.0.2
- exclude s390/s390x architecture for now due to Mozilla build problems
- refresh the autogenerated parts of the 64bit fix patch to patch over the latest version of autogenerated files from upstream

* Fri Oct  1 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.1-5
- added explicit gnutls requirement

* Fri Oct  1 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.1-4
- set libsoup requirement to be 2.2.0-2, to ensure gnutls support has been added

* Fri Oct  1 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.1-3
- added requirement on libsoup

* Fri Oct  1 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.1-2
- rebuild

* Thu Sep 30 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.1-1
- update from 2.0.0 to 2.0.1
- update required version of evolution from 1.5.94.1 to 2.0.1
- refresh the autogenerated parts of the 64bit fix patch to patch over the latest version of autogenerated files from upstream

* Mon Sep 20 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Tue Sep 14 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.0-1
- update from 1.5.94.1 to 2.0.0
- update source FTP location from 1.5 to 2.0

* Wed Sep  1 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.94.1-1
- update tarball and evolution-version from 1.5.93 to 1.5.94.1
- convert various occurrences of "1.5" in paths to "2.0" to reflect reorganisations of evolution and the connector
- refresh the autogenerated parts of the 64bit fix patch to patch over the latest version of autogenerated files from upstream

* Wed Aug 25 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.93-1
- updated from 1.5.92 to 1.5.93
- removed patch to compile against Evolution 1.5.93 (no longer needed; also was causing bug #130840)
- removed patch for LDAP detection
- added a patch to acinclude.m4 and configure.in to detect and use correct library paths (together with patching the files generated by autotools)

* Mon Aug 23 2004 Nalin Dahyabhai <nalin@redhat.com> - 1.5.92-3
- change macro names to not use "-"
- fix configure on multilib systems

* Fri Aug 20 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.92-2
- exclude ppc64 architecture due to Mozilla build problems

* Thu Aug 19 2004 Nalin Dahyabhai <nalin@redhat.com> 1.5.92-1
- Require a version of openldap-devel which provides evolution-specific libs.
- Use the evolution-specific static libraries from openldap-devel, taking into
  account the value of gcc's multidir setting.
- Set $LIBS before running configure so that libldap's dependencies get pulled
  in and we don't accidentally link against the system-wide copy, which would
  make all of this hoop jumping pointless.
- Tag translation files as language-specific using %%{find_lang}.
- Update to 1.5.92.
- Patch to compile against Evolution 1.5.93.

* Mon Jul 26 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.91-1
- Updated to version 1.5.91; updated evolution version to 1.5.91

* Tue Jul  6 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.90-1
- Updated to version 1.5.90; updated evolution version to 1.5.90

* Mon Jun 21 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.9-2
- actually uploaded the source tarball this time

* Mon Jun 21 2004 David Malcolm <dmalcolm@redhat.com> - 1.5.9-1
- 1.5.9 - first version for the 1.5.* series of Evolution: use revised LDAP detection, fix a build problem in migr-test, use -rpath with evolution 1.5's privlibdir

* Thu May 13 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.7-1
- downgrade to version 1.4.7 for now; add various open-ldap requirements and configuration options

* Thu May 13 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.7.1-1
- updated version to 1.4.7.1

* Wed May 12 2004 David Malcolm <dmalcolm@redhat.com> - 1.4.7-1
- added ldconfig foo; build requires evolution-devel

* Tue May 11 2004 Tom "spot" Callaway <tcallawa@redhat.com>
- initial package
